execute unless predicate potaters:screwed/row_2/you_got_mail_13 run function potaters:gui/screwed/row_2_the_quirky/2_13

execute if predicate potaters:potater_station/has_potatoes store result score @s potato_count run data get block ~ ~ ~ Items[{Slot:9b}].Count
execute if predicate potaters:potater_station/has_gunpowder store result score @s gunpowder_count run data get block ~ ~ ~ Items[{Slot:11b}].Count

scoreboard players set @s determine_modifier 0
scoreboard players operation @s determine_modifier += @s modifier1
scoreboard players operation @s determine_modifier += @s modifier2

scoreboard players operation @s durability = @s potato_count
scoreboard players operation @s durability -= .math1 globals

scoreboard players operation @s private_math = @s gunpowder_count
scoreboard players operation @s private_math -= .math1 globals
scoreboard players operation @s private_math *= .math2 globals
scoreboard players operation @s private_math /= .math3 globals

scoreboard players operation @s durability += @s private_math

scoreboard players operation @s durability += .math4 globals

execute if score @s potato_count matches 1.. if score @s gunpowder_count matches 1.. at @p[tag=clicked_gui] run summon armor_stand ~ 400 ~ {NoGravity:1b,Silent:1b,Invulnerable:1b,Small:1b,Marker:1b,Invisible:1b,NoBasePlate:1b,Tags:["final_craft"],DisabledSlots:4144959,ArmorItems:[{},{},{},{id:"minecraft:player_head",Count:1b}]}

##### Set name, type, and visual #####
# Potater
execute if predicate potaters:potater_checks/0 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/potater
# Flare Potater
execute if predicate potaters:potater_checks/1 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/flare_potater
# Fume Potater
execute if predicate potaters:potater_checks/10 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/fume_potater
# Redstone Potater
execute if predicate potaters:potater_checks/100 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/redstone_potater
# Flare Fume Potater
execute if predicate potaters:potater_checks/11 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/flare_fume_potater
# Resonating Flare Potater
execute if predicate potaters:potater_checks/101 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/resonating_flare_potater
# Multi-Fume Potater
execute if predicate potaters:potater_checks/110 run item modify entity @e[tag=final_craft] armor.head potaters:set_craft_types/multi_fume_potater

##### Set durability #####
execute store result storage potaters:durability_storage craft_durability int 1 run scoreboard players get @s durability
item modify entity @e[tag=final_craft] armor.head potaters:craft_durability_set
data remove storage potaters:durability_storage craft_durability

##### Set max stack size ######
item modify entity @e[tag=final_craft] armor.head potaters:max_stack_1

# Give the item
execute at @p[tag=clicked_gui] run summon item ~ 400 ~ {NoGravity:1b,Silent:1b,Age:-32768,PickupDelay:1,Tags:["bob_the_builder_item"],Item:{id:"minecraft:structure_void",Count:1b,clear:1b}}
data modify entity @e[limit=1,type=minecraft:item,tag=bob_the_builder_item] Item merge from entity @e[type=minecraft:armor_stand,sort=nearest,limit=1,tag=final_craft] ArmorItems[3]
execute as @e[type=item,tag=bob_the_builder_item] if predicate potaters:screwed/not_today_satan run kill @s
execute as @e[type=item,tag=bob_the_builder_item] at @p[tag=clicked_gui] run tp @s ~ ~ ~ ~ ~
kill @e[type=armor_stand,tag=final_craft]

scoreboard players set @s potato_count 0
scoreboard players set @s gunpowder_count 0
scoreboard players set @s modifier1 0
scoreboard players set @s modifier2 0

item replace block ~ ~ ~ container.9 with air
item replace block ~ ~ ~ container.11 with air

item replace block ~ ~ ~ container.15 with minecraft:player_head{display:{Name:'{"text":"Empty Modifier Slot","color":"gray","bold":false,"italic":false}',Lore:['{"text":"- Baked Potato","color":"gray","bold":false,"italic":false}','{"text":"- Poisonous Potato","color":"gray","bold":false,"italic":false}','{"text":"- Redstone Dust","color":"gray","bold":false,"italic":false}']},clear:1b,guiID:4,SkullOwner:{Id:[I;613001660,-1102625692,-1372543679,-1221798224],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjVhODExMWMwMmE4ZmJhNWRiYzg0MjI4ZWQ0OGNjYzZmMWRjMjZlOTY5NjJlNmUxNGFkNmNhZjViZWQxOWIwMCJ9fX0="}]}}}
item replace block ~ ~ ~ container.16 with minecraft:player_head{display:{Name:'{"text":"Empty Modifier Slot","color":"gray","bold":false,"italic":false}',Lore:['{"text":"- Baked Potato","color":"gray","bold":false,"italic":false}','{"text":"- Poisonous Potato","color":"gray","bold":false,"italic":false}','{"text":"- Redstone Dust","color":"gray","bold":false,"italic":false}']},clear:1b,guiID:8,SkullOwner:{Id:[I;613001660,-1102625692,-1372543679,-1221798224],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvMjVhODExMWMwMmE4ZmJhNWRiYzg0MjI4ZWQ0OGNjYzZmMWRjMjZlOTY5NjJlNmUxNGFkNmNhZjViZWQxOWIwMCJ9fX0="}]}}}
playsound minecraft:block.anvil.destroy master @a ~ ~ ~ 0.7 0.8